%define name    syslog-ng
%define version 3.0.1
%define release %mkrel 3

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Syslog-ng daemon
Group:		System/Kernel and hardware
License:	GPL
Url:		http://www.balabit.com/products/syslog_ng/
Source0: 	http://www.balabit.com/downloads/files/syslog-ng/sources/%{version}/source/%{name}_%version.tar.gz
Source1:	syslog-ng.sysconfig
Source2:	syslog-ng.init
Source3:	syslog-ng.conf
Source4:	syslog-ng.logrotate
Source5:	http://www.balabit.com/dl/guides/syslog-ng-v3.0-guide-admin-en.pdf
BuildRequires:	flex
BuildRequires:	libol-devel >= 0.2.23
BuildRequires:	net2-devel
BuildRequires:	eventlog-devel
BuildRequires:	glib2-devel
BuildRequires:	libwrap-devel
BuildRequires:	openssl-devel
Provides:       syslog-daemon
Requires(post):	rpm-helper
Requires(preun):rpm-helper
Buildroot:	%{_tmppath}/%{name}-%{version}

%description
Syslog-ng, as the name shows, is a syslogd replacement, but with new
functionality for the new generation. The original syslogd allows
messages only to be sorted based on priority/facility pairs; syslog-ng
adds the possibility to filter based on message contents using regular
expressions. The new configuration scheme is intuitive and powerful.
Forwarding logs over TCP and remembering all forwarding hops makes it
ideal for firewalled environments.

%prep
%setup -q
cp %{SOURCE5} syslog-ng-v3.0-guide-admin-en.pdf

%build
%configure2_5x \
    --bindir=/bin \
    --sbindir=/sbin \
    --enable-dynamic-linking \
    --with-pidfile-dir=%{_localstatedir}/run
%make

%install
rm -rf %{buildroot}
%makeinstall_std

# init script
install -d -m 755 %{buildroot}%{_initrddir}
install -m 755 %{SOURCE2} %{buildroot}%{_initrddir}/syslog-ng
install -d -m 755 %{buildroot}%{_sysconfdir}/sysconfig
install -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/sysconfig/syslog-ng
install -m 644 %{SOURCE3} %{buildroot}%{_sysconfdir}/syslog-ng.conf

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%postun
if [ "$1" -ge 1 ]; then
	%{_sysconfdir}/rc.d/init.d/syslog-ng condrestart
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README AUTHORS COPYING ChangeLog NEWS VERSION
%doc doc/examples doc/security doc/xsd syslog-ng-v3.0-guide-admin-en.pdf
%config(noreplace) %{_sysconfdir}/syslog-ng.conf
%config(noreplace) %{_sysconfdir}/sysconfig/syslog-ng
%{_initrddir}/syslog-ng
/sbin/syslog-ng
/bin/loggen
%{_mandir}/man5/syslog-ng.conf.5*
%{_mandir}/man8/syslog-ng.8*


%changelog
* Sat Jan 31 2009 Raphaël Gertz <rapsys@mandriva.org> 3.0.1-3mdv2009.1
+ Revision: 335906
- Fix missing s in /var/log/daemons/errors.log file path
- Fix missing s in /var/log/daemons/errors.log file path

* Sat Jan 31 2009 Guillaume Rousse <guillomovitch@mandriva.org> 3.0.1-2mdv2009.1
+ Revision: 335896
- add admin guide
- make default configuration compatible with new version
- fix pid directory location

  + Michael Scherer <misc@mandriva.org>
    - fix missing option in configure, so the pidfile is correctly created, as spotted again by rapsys
    - adapt the config to new syslog ( as proposed by raphale gertz ), now syslog is a reserved word, among others

* Tue Jan 20 2009 Guillaume Rousse <guillomovitch@mandriva.org> 3.0.1-1mdv2009.1
+ Revision: 331909
- new version

* Sun Jan 04 2009 Jérôme Soyer <saispo@mandriva.org> 2.0.10-1mdv2009.1
+ Revision: 324260
- New upstream release

* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.0.9-2mdv2009.0
+ Revision: 269400
- rebuild early 2009.0 package (before pixel changes)

* Sun May 18 2008 Funda Wang <fundawang@mandriva.org> 2.0.9-1mdv2009.0
+ Revision: 208579
- New version 2.0.9

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Dec 18 2007 Jérôme Soyer <saispo@mandriva.org> 2.0.6-1mdv2008.1
+ Revision: 132087
- New release 2.0.6

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Oct 23 2007 Jérôme Soyer <saispo@mandriva.org> 2.0.5-1mdv2008.1
+ Revision: 101437
- New release 2.0.5

* Thu Aug 30 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.0.4-4mdv2008.0
+ Revision: 75199
- add a sysconfig file

* Thu Aug 30 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.0.4-3mdv2008.0
+ Revision: 75191
- rewrite init script
- sanitize reference documentation
- provides syslog-dameon

* Thu Jul 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.0.4-2mdv2008.0
+ Revision: 53700
- sync default configuration file with sysklogd one, and set maximum connection number (fix #30790 and #31817)

* Fri Jun 29 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.0.4-1mdv2008.0
+ Revision: 45712
- new version


* Fri Jan 27 2006 Michael Scherer <misc@mandriva.org> 1.6.9-1mdk
- New release 1.6.9
- remove syslog logrotate file, fix bug #20745

* Mon Jan 23 2006 Olivier Blin <oblin@mandriva.com> 1.6.8-4mdk
- don't pretend syslog-ng provides syslog-daemon,
  and conflict with sysklogd not to break logrotate (#20745)

* Sat Aug 27 2005 Herton Ronaldo Krzesinski <herton@mandriva.com> 1.6.8-3mdk
- There was still missing parts of syslog-ng.conf provided that needed
  to be synced with sysklogd one (to have the same functionality),
  closes #13326.

* Wed Jul 13 2005 Herton Ronaldo Krzesinski <herton@mandriva.com> 1.6.8-2mdk
- Fixed permissions of source files (rpmlint).
- Fix rpmlint warning: W: syslog-ng summary-ended-with-dot Syslog-ng daemon.

* Thu Jul 07 2005 Herton Ronaldo Krzesinski <herton@mandriva.com> 1.6.8-1mdk
- New upstream Version: 1.6.9.
- Modified post scripts to not add syslog-ng service enabled by default,
  and stop/restart syslog-ng service if it's running on package
  uninstallation/upgrade.
- Enabled i18n support and enhanced screen messages inside syslog-ng init
  script.
- Sync syslog-ng.conf file provided with current syslogd configurations
  from mandriva.
- Added missing requires.
- Fix bug #13328: "syslog-ng does not need klogd". With this also added
  logrotate for syslog logs along with syslog-ng, that fixes too a bug
  when syslog-ng stops logging after a weekly logrotate. syslog-ng
  doesn't requires sysklogd package anymore.
- Added Provides for syslog-daemon (may be with this we can make all
  syslog daemons like metalog or sysklogd to provide a common
  meta-package, giving choice for the user).

* Thu Oct 21 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.6.5-1mdk
- 1.6.5 (I forgot)
- regenerate P0
- fix an error in syslog-ng.conf (S3)
- spec fixes

* Tue Aug 17 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.4.17-5mdk
- changes all error destinations from "/var/log/*/error" to "/var/log/*/errors" (Andre Nathan)

* Wed May 26 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.4.17-4mdk
- rebuild

* Sun Apr 13 2003 Marcel Pol <mpol@gmx.net> 1.4.17-3mdk
- buildrequires

